Subject: bug#28661: 25.3; closing fullscreen frame on macOS 10.13 High Sierra causes crash

From: Kevin Lin <[email-masked]>
Date: Sun, 1 Oct 2017 08:43:23 -0700

Dear Emacs maintainers,

Without any init files, I

1. start up Emacs from the Finder

2. open a second frame

3. make either frame fullscreen (by clicking on the
   green button in the title bar or running
   TOGGLE-FRAME-FULLSCREEN)

4. close the frame, either by clicking the red button
   or running DELETE-FRAME

On my machine, this causes Emacs to crash.

My copy of Emacs is the latest release from
https://emacsformacosx.com.  I have also tried this on
the latest nightly ("GNU Emacs 26.0.50 (build 1,
x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version
10.9.5 (Build 13F1911)) of 2017-06-11") from that
site.  The behavior appears to be identical.

I just upgraded to macOS 10.13.  This did not happen
in 10.12.  I do not really view this behavior as a bug
in Emacs, per se, and more as a problem in High
Sierra, but am hoping a work-around can be found in
Emacs more quickly than getting Apple to fix this.

Thanks!

In GNU Emacs 25.3.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21
Version 10.9.5 (Build 13F1911))
 of 2017-09-12 built on builder10-9.local
Windowing system distributor 'Apple', version 10.3.1561
Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel ns-win ucs-normalize term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 195903 6959)
 (symbols 48 19499 0)
 (miscs 40 77 164)
 (strings 32 14910 5147)
 (string-bytes 1 432258)
 (vectors 16 32840)
 (vector-slots 8 649682 4354)
 (floats 8 160 52)
 (intervals 56 196 0)
 (buffers 976 19))